Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 245701 - Please stabilise dev-scheme/guile-1.8.5-r1
Summary: Please stabilise dev-scheme/guile-1.8.5-r1
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Highest enhancement (vote)
Assignee: Marijn Schouten (RETIRED)
URL:
Whiteboard:
Keywords: STABLEREQ
: 217410 (view as bug list)
Depends on: 264335
Blocks: 228097 gcc-4.3-stable 267367 307233
  Show dependency tree
 
Reported: 2008-11-05 17:42 UTC by Christian Faulhammer (RETIRED)
Modified: 2010-11-29 10:16 UTC (History)
6 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christian Faulhammer (RETIRED) gentoo-dev 2008-11-05 17:42:45 UTC
This is for GCC 4.3 stabilisation.  Please add arches as you see fit. Thanks. Remember bug 217410
Comment 1 Marijn Schouten (RETIRED) gentoo-dev 2008-11-06 11:11:16 UTC
I see fit.

For ppc there seems to be a compilation problem (bug 228097) with -O2. I'll talk to upstream about that.
Comment 2 Marijn Schouten (RETIRED) gentoo-dev 2008-11-06 11:31:08 UTC
*** Bug 217410 has been marked as a duplicate of this bug. ***
Comment 3 Markus Meier gentoo-dev 2008-11-08 17:15:21 UTC
I think we should stabilize some reverse deps, too:

# emerge -pv guile-gtk

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     UD] dev-scheme/guile-1.6.8 [1.8.5-r1] USE="(-debug%) (-debug-freelist%) (-debug-malloc%) (-deprecated%*) (-discouraged%*) (-elisp%) (-emacs%) (-networking%) (-nls%*) (-regex%*) (-threads%*)" 3,042 kB 
[ebuild  N    ] x11-libs/guile-gtk-1.2.0.41  682 kB 

(just one example, not sure if there are others). apart from that, the package itself looks good to go stable.
Comment 4 Ryan Hill (RETIRED) gentoo-dev 2008-11-08 18:33:57 UTC
there is no mips
Comment 5 Brent Baude (RETIRED) gentoo-dev 2008-11-20 14:59:55 UTC
ppc64 stable
Comment 6 Jeroen Roovers gentoo-dev 2008-11-21 04:09:16 UTC
HPPA fails this test just as well as x86, so stable for HPPA:

FAIL: srfi-14.test: Latin-1 (8-bit charset): char-set:letter (membership)
FAIL: srfi-14.test: Latin-1 (8-bit charset): char-set:letter (size)
FAIL: srfi-14.test: Latin-1 (8-bit charset): char-set:lower-case (size)
FAIL: srfi-14.test: Latin-1 (8-bit charset): char-set:upper-case (size)
FAIL: srfi-14.test: Latin-1 (8-bit charset): char-set:punctuation (membership)
Comment 7 Marijn Schouten (RETIRED) gentoo-dev 2008-12-12 12:25:09 UTC
please do not stabilize any version of x11-libs/guile-gtk
Comment 8 Ferris McCormick (RETIRED) gentoo-dev 2008-12-12 13:30:33 UTC
Sparc stable.
Comment 9 Markus Meier gentoo-dev 2008-12-14 17:01:11 UTC
amd64/x86 stable
Comment 10 Tobias Klausmann gentoo-dev 2008-12-15 20:09:00 UTC
The guile build dies rather nastily with this on alpha:

gawk -f ./guile-func-name-check simpos.c
(./guile-snarf-docs -DHAVE_CONFIG_H -I.. -I.. -I..  -mieee -pipe -O2 -mcpu=ev6 -Wall -Wmissing-prototypes simpos.c | \
        ./guile_filter_doc_snarfage --filter-snarfage) > simpos.doc || { rm simpos.doc; false; }
gawk -f ./guile-func-name-check smob.c
(./guile-snarf-docs -DHAVE_CONFIG_H -I.. -I.. -I..  -mieee -pipe -O2 -mcpu=ev6 -Wall -Wmissing-prototypes smob.c | \
        ./guile_filter_doc_snarfage --filter-snarfage) > smob.doc || { rm smob.doc; false; }
uile.o -Wl,--export-dynamic  ./.libs/libguile.so /usr/lib/libgmp.so -lcrypt -lm /usr/lib/libltdl.so -ldl -pthread                                               
cat alist.doc arbiters.doc async.doc backtrace.doc boolean.doc chars.doc continuations.doc debug.doc deprecation.doc deprecated.doc discouraged.doc dynl.doc dynwind.doc environments.doc eq.doc error.doc eval.doc evalext.doc extensions.doc feature.doc fluids.doc fports.doc futures.doc gc.doc goops.doc gsubr.doc gc-mark.doc gc-segment.doc gc-malloc.doc gc-card.doc guardians.doc hash.doc hashtab.doc hooks.doc i18n.doc init.doc ioext.doc keywords.doc lang.doc list.doc load.doc macros.doc mallocs.doc modules.doc numbers.doc objects.doc objprop.doc options.doc pairs.doc ports.doc print.doc procprop.doc procs.doc properties.doc random.doc rdelim.doc read.doc root.doc rw.doc scmsigs.doc script.doc simpos.doc smob.doc sort.doc srcprop.doc stackchk.doc stacks.doc stime.doc strings.doc srfi-4.doc srfi-13.doc srfi-14.doc strorder.doc strports.doc struct.doc symbols.doc threads.doc throw.doc values.doc variable.doc vectors.doc version.doc vports.doc weaks.doc ramap.doc unif.doc dynl.doc filesys.doc posix.doc regex-posix.doc | GUILE="/var/tmp/portage/dev-scheme/guile-1.8.5-r1/work/guile-1.8.5/pre-inst-guile" ../scripts/snarf-check-and-output-texi          > guile-procedures.texi || { rm guile-procedures.texi; false; }                                                         
/bin/sh: line 1:  7954 Broken pipe             cat alist.doc arbiters.doc async.doc backtrace.doc boolean.doc chars.doc continuations.doc debug.doc deprecation.doc deprecated.doc discouraged.doc dynl.doc dynwind.doc environments.doc eq.doc error.doc eval.doc evalext.doc extensions.doc feature.doc fluids.doc fports.doc futures.doc gc.doc goops.doc gsubr.doc gc-mark.doc gc-segment.doc gc-malloc.doc gc-card.doc guardians.doc hash.doc hashtab.doc hooks.doc i18n.doc init.doc ioext.doc keywords.doc lang.doc list.doc load.doc macros.doc mallocs.doc modules.doc numbers.doc objects.doc objprop.doc options.doc pairs.doc ports.doc print.doc procprop.doc procs.doc properties.doc random.doc rdelim.doc read.doc root.doc rw.doc scmsigs.doc script.doc simpos.doc smob.doc sort.doc srcprop.doc stackchk.doc stacks.doc stime.doc strings.doc srfi-4.doc srfi-13.doc srfi-14.doc strorder.doc strports.doc struct.doc symbols.doc threads.doc throw.doc values.doc variable.doc vectors.doc version.doc vports.doc weaks.doc ramap.doc unif.doc dynl.doc filesys.doc posix.doc regex-posix.doc                                               
      7955 Segmentation fault      (core dumped) | GUILE="/var/tmp/portage/dev-scheme/guile-1.8.5-r1/work/guile-1.8.5/pre-inst-guile" ../scripts/snarf-check-and-output-texi > guile-procedures.texi                                            
make[3]: *** [guile-procedures.texi] Error 1                                    
make[3]: Leaving directory `/var/tmp/portage/dev-scheme/guile-1.8.5-r1/work/guile-1.8.5/libguile'                                                               
make[2]: *** [all] Error 2                                                      
make[2]: Leaving directory `/var/tmp/portage/dev-scheme/guile-1.8.5-r1/work/guile-1.8.5/libguile'                                                               
make[1]: *** [all-recursive] Error 1                                            
make[1]: Leaving directory `/var/tmp/portage/dev-scheme/guile-1.8.5-r1/work/guile-1.8.5'                                                                        
make: *** [all] Error 2                                                         


$ emerge --info
Portage 2.2_rc14 (default/linux/alpha/2008.0, gcc-4.3.2, glibc-2.8_p20080602-r0, 2.6.27-gentoo-r5 alpha)                                                        
=================================================================               
System uname: Linux-2.6.27-gentoo-r5-alpha-EV6-with-glibc2.0                    
Timestamp of tree: Sun, 14 Dec 2008 02:15:02 +0000                              
distcc 3.0 alpha-unknown-linux-gnu [enabled]                                    
app-shells/bash:     3.2_p39                                                    
dev-lang/python:     2.5.2-r8                                                   
sys-apps/baselayout: 2.0.0                                                      
sys-apps/openrc:     0.3.0-r1                                                   
sys-apps/sandbox:    1.2.18.1-r3                                                
sys-devel/autoconf:  2.13, 2.63                                                 
sys-devel/automake:  1.5, 1.9.6-r2, 1.10.1-r1                                   
sys-devel/binutils:  2.19                                                       
sys-devel/gcc-config: 1.4.0-r4                                                  
sys-devel/libtool:   2.2.6a                                                     
virtual/os-headers:  2.6.27-r2                                                  
ACCEPT_KEYWORDS="alpha ~alpha"                                                  
CBUILD="alpha-unknown-linux-gnu"                                                
CFLAGS="-mieee -pipe -O2 -mcpu=ev6"                                             
CHOST="alpha-unknown-linux-gnu"                                                 
CONFIG_PROTECT="/etc"                                                           
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/terminfo /etc/udev/rules.d"                                                                             
CXXFLAGS="-mieee -pipe -O2 -mcpu=ev6"                                           
DISTDIR="/usr/portage/distfiles"                                                
FEATURES="distcc distlocks parallel-fetch preserve-libs protect-owned sandbox sfperms strict unmerge-orphans usepkg userfetch userpriv usersandbox"             
GENTOO_MIRRORS="http://mirrors.sec.informatik.tu-darmstadt.de/gentoo/ http://gentoo.tiscali.nl/"                                                                
INSTALL_MASK="/etc/udev/rules.d/75-persistent-net-generator.rules"              
LDFLAGS="-Wl,-O1"                                                               
MAKEOPTS="-j2"                                                                  
PKGDIR="/usr/portage/packages"                                                  
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"                                                  
PORTAGE_TMPDIR="/var/tmp"                                                       
PORTDIR="/usr/portage"                                                          
PORTDIR_OVERLAY="/usr/local/portage"                                            
SYNC="rsync://rsync5.de.gentoo.org/gentoo-portage"                              
USE="X acl alpha alsa apache2 audacious audiofile bash-completion berkdb bzip2 calendar cdparanoia cdr cli cracklib crypt cups dio dri encode ethereal exif ffmpeg fftw firefox flac fortran ftp gdbm gpm iconv imlib2 isdnlog jpeg kdeenablefinal libcaca lua mad matroska midi mmap mng moznocompose moznoirc moznomail mozsvg mpeg mudflap ncurses network-cron nls nptl nptlonly offensive ogg openmp pam pcre pdflib perl png pnm ppds pppd python rar readline recode reflection session sharedmem sockets sox spl ssl svg sysfs szip tcpd tetex theora truetype unicode usb v4l v4l2 vcd vidix vim vim-pager vlm vorbis xcb xorg xosd xpm xvid zlib" ALSA_CARDS="ali5451 als4000 bt87x ca0106 cmipci emu10k1 ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 maestro3 trident usb-audio via82xx ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" USERLAND="GNU" VIDEO_CARDS="vga glint mga nvidia vesa"   
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, LANG, LC_ALL, LINGUAS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS               
Comment 11 Marijn Schouten (RETIRED) gentoo-dev 2008-12-16 01:28:10 UTC
If guile-1.8.6 also fails on alpha then please open a new bug for that.
Comment 12 Tobias Klausmann gentoo-dev 2008-12-16 08:46:21 UTC
dev-scheme/guile-1.8.6 fails too, but differently (during tests).
Comment 13 Tobias Klausmann gentoo-dev 2008-12-16 08:53:39 UTC
I've just tried compiling 1.8.5-r1 on another machine and it fails with the same test as 1.8.6 - i.e., the doc command works. So this definitely is a problem with the setup on the other machine. I'll look into it tonight. Until then, here are the failing tests:

make[4]: Entering directory `/var/tmp/portage/dev-scheme/guile-1.8.5-r1/work/guile-1.8.5/test-suite/standalone'
PASS: test-system-cmds
PASS: test-require-extension
PASS: test-bad-identifiers
PASS: test-num2integral
test-round: test-round.c:98: test_scm_c_round: Assertion `x == floor (x)' failed.
/bin/sh: line 4: 19071 Aborted                 "../../pre-inst-guile-env" ${dir}$tst
FAIL: test-round
PASS: test-gh
PASS: test-asmobs
PASS: test-list
PASS: test-unwind
PASS: test-conversion
PASS: test-use-srfi
PASS: test-with-guile-module
==================================
1 of 12 tests failed
Please report to bug-guile@gnu.org
==================================
make[4]: *** [check-TESTS] Error 1
make[4]: Leaving directory `/var/tmp/portage/dev-scheme/guile-1.8.5-r1/work/guile-1.8.5/test-suite/standalone'
make[3]: *** [check-am] Error 2
make[3]: Leaving directory `/var/tmp/portage/dev-scheme/guile-1.8.5-r1/work/guile-1.8.5/test-suite/standalone'
make[2]: *** [check] Error 2
make[2]: Leaving directory `/var/tmp/portage/dev-scheme/guile-1.8.5-r1/work/guile-1.8.5/test-suite/standalone'
make[1]: *** [check-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/dev-scheme/guile-1.8.5-r1/work/guile-1.8.5/test-suite'
make: *** [check-recursive] Error 1
Comment 14 Tobias Klausmann gentoo-dev 2009-01-25 14:20:30 UTC
It appears that the interim guile built during compilation (guile-1.8.5/libguile/.libs/guile) gets hosed if you do it using crossdev/distcc. Removing it, building it natively and then continuing compilation works. Same goes for building the entire thing natively.

As for the test failures, please advise.
Comment 15 Marijn Schouten (RETIRED) gentoo-dev 2009-01-26 11:24:40 UTC
working with upstream to resolve the issue on alpha
Comment 16 Tobias Klausmann gentoo-dev 2009-01-27 10:55:50 UTC
Yes, 1.8.6 fails the same test in the same way:

make  check-TESTS
make[4]: Entering directory `/var/tmp/portage/dev-scheme/guile-1.8.6/work/guile-1.8.6/test-suite/standalone'
PASS: test-system-cmds
PASS: test-require-extension
PASS: test-bad-identifiers
PASS: test-num2integral
test-round: test-round.c:98: test_scm_c_round: Assertion `x == floor (x)' failed.
/bin/sh: line 4: 21303 Aborted                 "../../pre-inst-guile-env" ${dir}$tst
FAIL: test-round
PASS: test-gh
PASS: test-asmobs
PASS: test-list
PASS: test-unwind
PASS: test-conversion
PASS: test-use-srfi
PASS: test-scm-c-read
PASS: test-with-guile-module
PASS: test-scm-with-guile
==================================
1 of 14 tests failed
Please report to bug-guile@gnu.org
==================================
make[4]: *** [check-TESTS] Error 1
make[4]: Leaving directory `/var/tmp/portage/dev-scheme/guile-1.8.6/work/guile-1.8.6/test-suite/standalone'
make[3]: *** [check-am] Error 2
make[3]: Leaving directory `/var/tmp/portage/dev-scheme/guile-1.8.6/work/guile-1.8.6/test-suite/standalone'
make[2]: *** [check] Error 2
make[2]: Leaving directory `/var/tmp/portage/dev-scheme/guile-1.8.6/work/guile-1.8.6/test-suite/standalone'
make[1]: *** [check-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/dev-scheme/guile-1.8.6/work/guile-1.8.6/test-suite'
make: *** [check-recursive] Error 1
Comment 17 Joe Jezak (RETIRED) gentoo-dev 2009-02-26 14:22:03 UTC
Marked ppc stable.
Comment 18 Matt Turner gentoo-dev 2009-03-30 18:08:33 UTC
The x == floor(x) assertion failure on Alpha is a glibc bug.

See http://sources.redhat.com/bugzilla/show_bug.cgi?id=5350
Comment 19 Tobias Klausmann gentoo-dev 2009-04-05 17:13:05 UTC
the floor/ceil/rint bug in glibc is the root case as matt observed. Adding a dep.
Comment 20 Mark Lim 2009-06-30 12:16:41 UTC
(In reply to comment #17)
> Marked ppc stable.
> 

Could compiled with gcc-4.1.2 but not gcc-4.3.2-r3
Comment 21 Tobias Klausmann gentoo-dev 2009-08-30 19:20:02 UTC
With the up-and-coming glibc (2.9_p20081201-r3), the test suites of 1.8.5-r1 and 1.8.6 passes. Which one do you want stabilized?
Comment 22 Tobias Klausmann gentoo-dev 2009-08-30 19:52:30 UTC
Stabilized 1.8.6 on alpha.
Comment 23 Markus Meier gentoo-dev 2009-09-19 14:08:10 UTC
arm stable
Comment 24 Mounir Lamouri (volkmar) (RETIRED) gentoo-dev 2010-03-08 22:42:20 UTC
On ppc/ppc64, guile-1.8.5-r1 is buggy. Because of that situation, we are going to do like alpha and stabilize 1.8.6.
Marking the related bugs as blockers.
Comment 25 Luca Lesinigo 2010-09-02 08:47:08 UTC
This version, even if it is marked stable on some archs, does not emerge with FEATURES=test (see bug #333325). That's already known and solved upstream in the latest stable version, 1.8.7, which is already in portage and seems to be fine. I've filed a STABLEREQ for that one (bug #335657).
Comment 26 stathis 2010-11-14 01:23:50 UTC
On amd64 with FEATURES="test", guile-1.8.5-r1 doesn't pass the tests. I enabled the amd64 keyword for guile-1.8.7-r1, which compiles and passes the tests just fine.


make  check-TESTS
make[4]: Entering directory `/var/tmp/portage/dev-scheme/guile-1.8.5-r1/work/guile-1.8.5/test-suite/standalone'
PASS: test-system-cmds
PASS: test-require-extension
PASS: test-bad-identifiers
PASS: test-num2integral
PASS: test-round
PASS: test-gh
ERROR: In procedure dynamic-link:
ERROR: file: "libtest-asmobs", message: "file not found"
FAIL: test-asmobs
PASS: test-list
PASS: test-unwind
PASS: test-conversion
PASS: test-use-srfi
PASS: test-with-guile-module
==================================
1 of 12 tests failed
Please report to bug-guile@gnu.org
==================================
make[4]: *** [check-TESTS] Error 1
make[4]: Leaving directory `/var/tmp/portage/dev-scheme/guile-1.8.5-r1/work/guile-1.8.5/test-suite/standalone'
make[3]: *** [check-am] Error 2
make[3]: Leaving directory `/var/tmp/portage/dev-scheme/guile-1.8.5-r1/work/guile-1.8.5/test-suite/standalone'
make[2]: *** [check] Error 2
make[2]: Leaving directory `/var/tmp/portage/dev-scheme/guile-1.8.5-r1/work/guile-1.8.5/test-suite/standalone'
make[1]: *** [check-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/dev-scheme/guile-1.8.5-r1/work/guile-1.8.5/test-suite'
make: *** [check-recursive] Error 1
Comment 27 Marijn Schouten (RETIRED) gentoo-dev 2010-11-29 10:16:34 UTC
closing as we should be focusing on getting a newer version stable as Luca points out in comment 25.